directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ersin Er" <ersin...@gmail.com>
Subject Re: [ApacheDS][Build] I can no longer build ApacheDS
Date Fri, 26 Jan 2007 10:57:25 GMT
On 1/26/07, Emmanuel Lecharny <elecharny@gmail.com> wrote:
> Ok, let's clarify the situation :
>
> To build ADS trunk, you must checkout trunks-with-dependencies :
> svn co
> http://svn.apache.org/repos/asf/directory/apacheds/trunk-with-dependencies
>
> then a mvn -clean install should be ok.

That's what I am doing. And still no progress.

> Do *not* checkout the trunk : this is apacheds subproject, which needs other
> sub-projects like shared, etc to be already built.
>
> Emmanuel.
>
> PS : One should consider updating the wiki page about build :)
>
>
> On 1/26/07, Emmanuel Lecharny <elecharny@gmail.com> wrote:
> > ok, I have removed my .m2/repository, and launched a full rebuild from
> trunks : BUILD SUCCESSFULL...
> >
> > I gonna checkout the full project again to see what could be your problem.
> >
> >
> >
> > On 1/26/07, Emmanuel Lecharny <elecharny@gmail.com> wrote:
> > > Looking ...
> > >
> > > (oh, btw, thanks, maven :)
> > >
> > >
> > >
> > > On 1/26/07, Ersin Er < ersin.er@gmail.com> wrote:
> > > > Hi all,
> > > >
> > > > Since the reorganization, I cannot build ApacheDS 1.0 nor 1.5. I clean
> > > > up everything, even do a fresh check out and I get the following
> > > > error:
> > > >
> > > > [INFO]
> ----------------------------------------------------------------------------
> > > > [INFO] Building Apache Directory Build
> > > > [INFO]    task-segment: [install]
> > > > [INFO]
> ----------------------------------------------------------------------------
> > > > [INFO]
> ------------------------------------------------------------------------
> > > > [ERROR] BUILD ERROR
> > > > [INFO]
> ------------------------------------------------------------------------
> > > > [INFO] Error building POM (may not be this project's POM).
> > > >
> > > >
> > > > Project ID:
> org.apache.maven.plugins:maven-site-plugin
> > > >
> > > > Reason: Error getting POM for
> > > > 'org.apache.maven.plugins:maven-site-plugin' from the
> repository:
> > > > Failed to resolve artifact, possibly due to a repository list that is
> > > > not appropriately equipped for this artifact's metadata.
> > > >
> org.apache.maven.plugins:maven-site-plugin:pom:2.0-SNAPSHOT
> > > >
> > > > from the specified remote repositories:
> > > >   apache.snapshots (
> http://people.apache.org/repo/m2-snapshot-repository ),
> > > >   snapshots
> (http://snapshots.repository.codehaus.org),
> > > >   central ( http://repo1.maven.org/maven2)
> > > >
> > > > However, I still keep the old project structure on my disk and I can
> > > > build it successfully. So I guess there is somehting strange with the
> > > > new org. But I could not have found it for days..
> > > >
> > > > Any idea ?
> > > >
> > > > --
> > > > Ersin
> > > >
> > >
> > >
> > >
> > > --
> > > Cordialement,
> > > Emmanuel Lécharny
> > > www.iktek.com
> >
> >
> >
> > --
> > Cordialement,
> > Emmanuel Lécharny
> > www.iktek.com
>
>
>
> --
> Cordialement,
> Emmanuel Lécharny
> www.iktek.com


-- 
Ersin
Mime
View raw message